package at.ac.uibk.gitsearch.config.prometheus;

import io.prometheus.client.CollectorRegistry;
import org.springframework.boot.actuate.endpoint.web.annotation.WebEndpoint;

/**
 * Defines a custom prometheus scrape endpoint.
 *
 * @author Johannes Kainz
 */
@WebEndpoint(id = "prometheusHourly")
public class HourlyPrometheusScrapeEndpoint extends CustomPrometheusScrapeEndpoint {

    public HourlyPrometheusScrapeEndpoint(CollectorRegistry collectorRegistry) {
        super(collectorRegistry);
    }
}
