import { NgModule } from '@angular/core';
import { SharedLibsModule } from '../shared/shared-libs.module';
import { SharedModule } from 'app/shared/shared.module';
import { ExerciseModule } from 'app/exercise/exercise.module';

import { ExerciseComponent } from './exercise.component';

@NgModule({
  imports: [
    SharedLibsModule,
    SharedModule,
    //  sanitize: SecurityContext.NONE
    ExerciseModule,
  ],
  declarations: [ExerciseComponent],
  exports: [],
})
export class ExercisePageModule {}
